package studycave.studycaverestservice.model.studyGroup;

import org.springframework.data.jpa.repository.JpaRepository;
import studycave.studycaverestservice.model.studyGroup.StudyGroup;

import java.util.List;
import java.util.Optional;

public interface GroupRepository extends JpaRepository<StudyGroup, Integer> {

    List<StudyGroup> findByName(String name);

    List<StudyGroup> findByGroupKey(String groupKey);

    Optional<StudyGroup> findByUsosGroupId(String course_id);
}
